### Method

# Adw ViewStack add

#### Declaration [src]

    AdwViewStackPage*
    adw_view_stack_add (
      AdwViewStack* self,
      GtkWidget* child
    )

#### Description [src]

Adds a child to `self`.

#### Parameters

`child`

  Type: `GtkWidget`

  The widget to add.

  The data is owned by the caller of the method.

#### Return value

Type: `AdwViewStackPage`

The `AdwViewStackPage` for `child`.

The data is owned by the instance.